MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029730Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-04-26 18:232018-06-29 21:19
Reporterszy 
Assigned Toabv 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029730: OCAF User's Guide correction for case of attributes with User defined GUID
DescriptionDuring previous release set standard attributes were extended for support of attributes with User defined GUID (several attributes of the same type on the same Label). This new feature should be documented in OCAF User's Guide.
Steps To ReproduceN/A
Additional information
and documentation updates
occt_ocaf.pdf is supposed to be updated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075717)
git (administrator)
2018-04-27 15:02

Branch CR29730 has been created by szy.

SHA-1: abb536b424b52fa6d222eeb1ed01a511e85aab30


Detailed log of new commits:

Author: szy
Date: Fri Apr 27 15:02:32 2018 +0300

    0029730: OCAF User's Guide correction for case of attributes with User defined GUID
    
    // Added description of attributes usage with User defined GUID
(0075718)
szy (developer)
2018-04-27 15:04

User's Guide extended with the discussed description.
Review it, please.
(0075722)
mpv (developer)
2018-04-27 15:27

In the end of the difference:

    Handle(TDataStd_Integer) anInt = new TDataStd_Integer();
    INT->SetID(aGuid);
    aLabel.Add(anInt);
    INT->Set(aValue);

Both "INT" and "anInt" variable names used twice, however only anInt should be used.
(0075723)
git (administrator)
2018-04-27 15:37

Branch CR29730 has been updated by szy.

SHA-1: e4cc6c8b5e22b554b65a560ffe114348bb4a73f0


Detailed log of new commits:

Author: szy
Date: Fri Apr 27 15:36:57 2018 +0300

    0029730: OCAF User's Guide correction for case of attributes with User defined GUID
    
    // Correction of misprint

(0075724)
szy (developer)
2018-04-27 15:38

Sorry, it a simple misprint.
Revise it once again.
(0075726)
mpv (developer)
2018-04-27 15:41

Reviewed. Tests are not needed.
(0076269)
git (administrator)
2018-05-24 18:13

Branch CR29730 has been deleted by kgv.

SHA-1: e4cc6c8b5e22b554b65a560ffe114348bb4a73f0

- Related Changesets
occt: master 94443b48
Timestamp: 2018-04-27 12:02:32
Author: abv
Committer: abv
Details ] Diff ]
0029730: OCAF User's Guide correction for case of attributes with User defined GUID

Added description of attributes usage with User defined GUID
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-26 18:23 szy New Issue
2018-04-26 18:23 szy Assigned To => szy
2018-04-27 15:01 szy Status new => assigned
2018-04-27 15:02 git Note Added: 0075717
2018-04-27 15:04 szy Note Added: 0075718
2018-04-27 15:04 szy Assigned To szy => mpv
2018-04-27 15:04 szy Status assigned => resolved
2018-04-27 15:27 mpv Note Added: 0075722
2018-04-27 15:27 mpv Assigned To mpv => szy
2018-04-27 15:27 mpv Status resolved => assigned
2018-04-27 15:37 git Note Added: 0075723
2018-04-27 15:38 szy Note Added: 0075724
2018-04-27 15:38 szy Assigned To szy => mpv
2018-04-27 15:38 szy Status assigned => resolved
2018-04-27 15:41 mpv Note Added: 0075726
2018-04-27 15:41 mpv Assigned To mpv => bugmaster
2018-04-27 15:41 mpv Status resolved => reviewed
2018-05-23 10:30 bugmaster Test case number => Not needed
2018-05-23 10:30 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master 94443b48
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076269
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker